<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: dom   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>dom&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_dom.html">dom</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: dom
                    


                    </h3>
                    <div class="description summary">
                        The dom module provides helper methods for manipulating Dom elements.
                    </div>

                    <form onsubmit="return false">
                        <p>Search dom:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.util.Region.html#0", "host": "YAHOO.util.Region", "name": "0"}, {"url": "YAHOO.util.Region.html#1", "host": "YAHOO.util.Region", "name": "1"}, {"url": "YAHOO.util.Dom.html#addClass", "host": "YAHOO.util.Dom", "name": "addClass"}, {"url": "YAHOO.util.Dom.html#batch", "host": "YAHOO.util.Dom", "name": "batch"}, {"url": "YAHOO.util.Region.html#bottom", "host": "YAHOO.util.Region", "name": "bottom"}, {"url": "YAHOO.util.Region.html#contains", "host": "YAHOO.util.Region", "name": "contains"}, {"url": "YAHOO.util.Dom.html#generateId", "host": "YAHOO.util.Dom", "name": "generateId"}, {"url": "YAHOO.util.Dom.html#get", "host": "YAHOO.util.Dom", "name": "get"}, {"url": "YAHOO.util.Region.html#getArea", "host": "YAHOO.util.Region", "name": "getArea"}, {"url": "YAHOO.util.Dom.html#getClientHeight", "host": "YAHOO.util.Dom", "name": "getClientHeight"}, {"url": "YAHOO.util.Dom.html#getClientWidth", "host": "YAHOO.util.Dom", "name": "getClientWidth"}, {"url": "YAHOO.util.Dom.html#getDocumentHeight", "host": "YAHOO.util.Dom", "name": "getDocumentHeight"}, {"url": "YAHOO.util.Dom.html#getDocumentWidth", "host": "YAHOO.util.Dom", "name": "getDocumentWidth"}, {"url": "YAHOO.util.Dom.html#getElementsBy", "host": "YAHOO.util.Dom", "name": "getElementsBy"}, {"url": "YAHOO.util.Dom.html#getElementsByClassName", "host": "YAHOO.util.Dom", "name": "getElementsByClassName"}, {"url": "YAHOO.util.Region.html#getRegion", "host": "YAHOO.util.Region", "name": "getRegion"}, {"url": "YAHOO.util.Dom.html#getRegion", "host": "YAHOO.util.Dom", "name": "getRegion"}, {"url": "YAHOO.util.Dom.html#getStyle", "host": "YAHOO.util.Dom", "name": "getStyle"}, {"url": "YAHOO.util.Dom.html#getViewportHeight", "host": "YAHOO.util.Dom", "name": "getViewportHeight"}, {"url": "YAHOO.util.Dom.html#getViewportWidth", "host": "YAHOO.util.Dom", "name": "getViewportWidth"}, {"url": "YAHOO.util.Dom.html#getX", "host": "YAHOO.util.Dom", "name": "getX"}, {"url": "YAHOO.util.Dom.html#getXY", "host": "YAHOO.util.Dom", "name": "getXY"}, {"url": "YAHOO.util.Dom.html#getY", "host": "YAHOO.util.Dom", "name": "getY"}, {"url": "YAHOO.util.Dom.html#hasClass", "host": "YAHOO.util.Dom", "name": "hasClass"}, {"url": "YAHOO.util.Dom.html#inDocument", "host": "YAHOO.util.Dom", "name": "inDocument"}, {"url": "YAHOO.util.Region.html#intersect", "host": "YAHOO.util.Region", "name": "intersect"}, {"url": "YAHOO.util.Dom.html#isAncestor", "host": "YAHOO.util.Dom", "name": "isAncestor"}, {"url": "YAHOO.util.Region.html#left", "host": "YAHOO.util.Region", "name": "left"}, {"url": "YAHOO.util.Dom.html#removeClass", "host": "YAHOO.util.Dom", "name": "removeClass"}, {"url": "YAHOO.util.Dom.html#replaceClass", "host": "YAHOO.util.Dom", "name": "replaceClass"}, {"url": "YAHOO.util.Region.html#right", "host": "YAHOO.util.Region", "name": "right"}, {"url": "YAHOO.util.Dom.html#setStyle", "host": "YAHOO.util.Dom", "name": "setStyle"}, {"url": "YAHOO.util.Dom.html#setX", "host": "YAHOO.util.Dom", "name": "setX"}, {"url": "YAHOO.util.Dom.html#setXY", "host": "YAHOO.util.Dom", "name": "setXY"}, {"url": "YAHOO.util.Dom.html#setY", "host": "YAHOO.util.Dom", "name": "setY"}, {"url": "YAHOO.util.Region.html#top", "host": "YAHOO.util.Region", "name": "top"}, {"url": "YAHOO.util.Region.html#toString", "host": "YAHOO.util.Region", "name": "toString"}, {"url": "YAHOO.util.Region.html#union", "host": "YAHOO.util.Region", "name": "union"}, {"url": "YAHOO.util.Point.html#x", "host": "YAHOO.util.Point", "name": "x"}, {"url": "YAHOO.util.Point.html#y", "host": "YAHOO.util.Point", "name": "y"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class="selected"><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.Dom.html">YAHOO.util.Dom</a></li>
                                <li class=""><a href="YAHOO.util.Point.html">YAHOO.util.Point</a></li>
                                <li class=""><a href="YAHOO.util.Region.html">YAHOO.util.Region</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Dom.js.html">Dom.js</a></li>
                                <li class=""><a href="Region.js.html">Region.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
